%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME user file sharing
Name:		gnome-user-share
Version:	43.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	apache
BuildRequires:	gettext
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(libsystemd)

Recommends:	apache
# no more available on mageia
#Recommends:	apache-mod_dnssd >= 0.6

%description
This program enables user to share directories through Webdav or Bluetooth
(over ObexFTP).

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS
%{_libexecdir}/gnome-user-share-*
%{_datadir}/gnome-user-share
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/applications/%{name}-webdav.desktop
%{_userunitdir}/gnome-user-share-webdav.service




%changelog
* Tue Sep 20 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890847
- Update to 43.0

* Thu Mar 31 2022 umeabot <umeabot> 3.34.0-4.mga9
+ Revision: 1836660
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-3.mga8
+ Revision: 1530921
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1437794
- fix filelist
+ ovitters <ovitters>
- new version 3.34.0

* Thu Aug 08 2019 tv <tv> 3.33.1-1.mga8
+ Revision: 1428212
- switch to meson
- new release

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0.1-1.mga7
+ Revision: 1374015
- new version 3.32.0.1
- dropped merged patch gnome-user-share-3.32.0-fix-desktop-file.patch

* Fri Mar 08 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1372749
- new version 3.32.0
- add patch to fix invalid desktop file
- remove Bluetooth dependencies, gnome-user-share only shares via WebDAV,
  obex sharing is handled through the Bluetooth panel in GNOME

* Sun Sep 23 2018 umeabot <umeabot> 3.28.0-2.mga7
+ Revision: 1297985
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1217130
- new version 3.28.0

* Tue Feb 13 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1200840
- new version 3.27.90

* Thu Sep 28 2017 tv <tv> 3.18.3-1.mga7
+ Revision: 1160805
- use std macros

* Tue Sep 20 2016 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 1054621
- new version 3.18.3

* Sun Sep 18 2016 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 1053810
- new version 3.18.2

* Mon Mar 21 2016 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 993527
- new version 3.18.1

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960479
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883281
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865688
- update file list (ObexPush moved to gnome-bluetooth/g-c-c)
- new version 3.17.90

* Mon Dec 22 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 804792
- new version 3.14.2

* Tue Nov 25 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 799190
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 748361
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719221
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679787
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Sep 11 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 674694
- new version 3.13.91

* Wed Jun 25 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 639659
- new version 3.13.2

* Tue Jun 24 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 639491
- new version 3.13.1

* Tue Apr 01 2014 dams <dams> 3.10.2-2.mga5
+ Revision: 611143
- rebuild for new 'gnome-bluetooth'

* Tue Mar 18 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 604853
- new version 3.10.2

* Tue Nov 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 550848
- new version 3.10.1

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 540593
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 3.10.0-2.mga4
+ Revision: 494048
- change bluetooth requires for bluez5 (from fedora)

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485283
- new version 3.10.0

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 475160
- new version 3.9.91

* Tue Jul 30 2013 dams <dams> 3.8.3-2.mga4
+ Revision: 460805
- rebuild for new 'gnome-bluetooth'

* Tue Jul 16 2013 fwang <fwang> 3.8.3-1.mga4
+ Revision: 454985
- update file list
- update file list
+ ovitters <ovitters>
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427199
- update file list (configuration moved to gnome-control-center)
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 352252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.0.4-1.mga3
+ Revision: 297765
- new version 3.0.4

* Tue Sep 25 2012 ovitters <ovitters> 3.0.3-1.mga3
+ Revision: 297752
- update file list
- remove gconf br
- br libxml2-utils
- br itstool
- new version 3.0.3
- use mkrel
- clean spec
- Import from Mandriva

